import React from 'react';
import { CodemirrorMultilineEditor } from '@mongodb-js/compass-editor';
import type { Validation, ValidationLevel, ValidationServerAction, ValidationState } from '../../modules/validation';
import type { FieldsState } from '../../modules/fields';
export type ValidationCodeEditorProps = Pick<React.ComponentProps<typeof CodemirrorMultilineEditor>, 'onChangeText' | 'readOnly'> & {
    text: string;
    fields: {
        name: string;
        description?: string;
    }[];
    serverVersion: string;
};
export type ValidationEditorProps = {
    clearSampleDocuments: () => void;
    validatorChanged: (text: string) => void;
    validationActionChanged: (action: ValidationServerAction) => void;
    validationLevelChanged: (level: ValidationLevel) => void;
    cancelValidation: () => void;
    saveValidation: (text: Validation) => void;
    serverVersion: string;
    fields: FieldsState;
    validation: Pick<ValidationState, 'validator' | 'validationAction' | 'validationLevel' | 'isChanged' | 'syntaxError' | 'error'>;
    isEditable: boolean;
    darkMode?: boolean;
};
declare const _default: React.ComponentType<ValidationEditorProps>;
export default _default;
//# sourceMappingURL=validation-editor.d.ts.map