import type { RootAction, RootState } from '.';
export declare const SAMPLE_SIZE = 10000;
export type DOCUMENT_LOADING_STATES = 'initial' | 'loading' | 'success' | 'error';
export interface SampleDocumentState {
    validDocumentState: DOCUMENT_LOADING_STATES;
    validDocument: undefined | Record<string, unknown>;
    invalidDocumentState: DOCUMENT_LOADING_STATES;
    invalidDocument: undefined | Record<string, unknown>;
}
export declare const INITIAL_STATE: SampleDocumentState;
export declare const CLEAR_SAMPLE_DOCUMENTS: "validation/namespace/CLEAR_SAMPLE_DOCUMENTS";
interface ClearSampleDocumentsAction {
    type: typeof CLEAR_SAMPLE_DOCUMENTS;
}
export declare const FETCHING_VALID_DOCUMENT: "validation/namespace/FETCHING_VALID_DOCUMENT";
interface FetchingValidDocumentAction {
    type: typeof FETCHING_VALID_DOCUMENT;
}
export declare const FETCHED_VALID_DOCUMENT: "validation/namespace/FETCHED_VALID_DOCUMENT";
interface FetchedValidDocumentAction {
    type: typeof FETCHED_VALID_DOCUMENT;
    document: Record<string, unknown>;
}
export declare const FETCHING_VALID_DOCUMENT_FAILED: "validation/namespace/FETCHING_VALID_DOCUMENT_FAILED";
interface FetchingValidDocumentFailedAction {
    type: typeof FETCHING_VALID_DOCUMENT_FAILED;
}
export declare const FETCHING_INVALID_DOCUMENT: "validation/namespace/FETCHING_INVALID_DOCUMENT";
interface FetchingInvalidDocumentAction {
    type: typeof FETCHING_INVALID_DOCUMENT;
}
export declare const FETCHED_INVALID_DOCUMENT: "validation/namespace/FETCHED_INVALID_DOCUMENT";
interface FetchedInvalidDocumentAction {
    type: typeof FETCHED_INVALID_DOCUMENT;
    document: Record<string, unknown>;
}
export declare const FETCHING_INVALID_DOCUMENT_FAILED: "validation/namespace/FETCHING_INVALID_DOCUMENT_FAILED";
interface FetchingInvalidDocumentFailedAction {
    type: typeof FETCHING_INVALID_DOCUMENT_FAILED;
}
export type SampleDocumentAction = ClearSampleDocumentsAction | FetchingValidDocumentAction | FetchedValidDocumentAction | FetchingValidDocumentAction | FetchingInvalidDocumentAction | FetchedInvalidDocumentAction | FetchingInvalidDocumentFailedAction | FetchingValidDocumentFailedAction;
export declare const clearSampleDocuments: () => ClearSampleDocumentsAction;
export declare const fetchingValidDocument: () => FetchingValidDocumentAction;
export declare const fetchingInvalidDocument: () => FetchingInvalidDocumentAction;
export declare const fetchedValidDocument: (document: Record<string, unknown>) => FetchedValidDocumentAction;
export declare const fetchedInvalidDocument: (document: Record<string, unknown>) => FetchedInvalidDocumentAction;
export declare const fetchingValidDocumentFailed: () => FetchingValidDocumentFailedAction;
export declare const fetchingInvalidDocumentFailed: () => FetchingInvalidDocumentFailedAction;
export declare const clearingSampleDocuments: () => SampleDocumentState;
export declare const startFetchingValidDocument: (state: SampleDocumentState) => SampleDocumentState;
export declare const startFetchingInvalidDocument: (state: SampleDocumentState) => SampleDocumentState;
export declare const updateStateWithFetchedValidDocument: (state: SampleDocumentState, action: FetchedValidDocumentAction) => SampleDocumentState;
export declare const updateStateWithFetchedInvalidDocument: (state: SampleDocumentState, action: FetchedInvalidDocumentAction) => SampleDocumentState;
export declare const validDocumentFetchErrored: (state: SampleDocumentState) => SampleDocumentState;
export declare const invalidDocumentFetchErrored: (state: SampleDocumentState) => SampleDocumentState;
export default function (state: SampleDocumentState | undefined, action: RootAction): SampleDocumentState;
export declare const fetchValidDocument: () => (dispatch: (action: RootAction) => void, getState: () => RootState) => Promise<void>;
export declare const fetchInvalidDocument: () => (dispatch: (action: RootAction) => void, getState: () => RootState) => Promise<void>;
export {};
//# sourceMappingURL=sample-documents.d.ts.map